### Method

# Secret Service prompt_finish

#### Declaration [src]

    GVariant*
    secret_service_prompt_finish (
      SecretService* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete asynchronous operation to perform prompting for a `SecretPrompt`.

Returns a variant result if the prompt was completed and not dismissed. The type of result depends on the action the prompt is completing, and is defined in the Secret Service DBus API specification.

#### Parameters

`result`

  Type: `GAsyncResult`

  The asynchronous result passed to the callback.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GVariant`

`NULL` if the prompt was dismissed or an error occurred, a variant result if the prompt was successful.

The caller of the method takes ownership of the data, and is responsible for freeing it.